gzip (GNU zip) – program komputerowy służący do bezstratnej kompresji danych, tworzony w ramach projektu GNU.
Historia Pierwotnie został napisany jako zamiennik dla programu compress, który cieszy się popularnością zwłaszcza w systemach typu Unix, gdzie jest często używany do kompresji archiwów tar. Pliki wyjściowe programu gzip zwykle mają domyślnie rozszerzenie .
Gzip oparty jest na algorytmie deflate, który jest kombinacją algorytmu LZ77 i kodowania Huffmana. Algorytm deflate powstał w odpowiedzi na opatentowanie LZW i innych algorytmów kompresji. Jak poinformował , jeden z autorów programu, poświęcił on więcej czasu na studiowanie patentów niż na opracowanie i zaprogramowanie tego algorytmu.
Zastosowania Format kompresji danych zlib, algorytm deflate oraz format plików gzip zostały ustandaryzowane w następujących dokumentach RFC 1950, RFC 1951 i RFC 1952. Standardy te wykorzystuje m.in. format graficzny PNG.
W celu przyspieszenia rozwoju oprogramowania wykorzystującego kompresję została stworzona (przez autorów gzip) biblioteka zlib. Obsługuje ona format plików gzipa oraz algorytm kompresji deflate.